Append raster layer to an existing Geopackage with a checkbox and layer name QLineEdit.
Description

With the new raster save to various formats (https://github.com/qgis/QGIS/pull/5430), it's now possible to save it to GeoPackage.

However, the default mode overwrites existing Geopackages, thus APPEND_SUBDATASET creation option has to be set explicitly. Also

RASTER_TABLE must be set, otherwise the table name will match the geopackage file (what doesn't make any sense when appending a

new table).

It would be great to have a checkbox to append the db instead of overwriting. Alternatively, the APPEND_SUBDATASET may be set to

YES in the default profile.

In both cases an input line for the table name is necessary.

Related issues:

Related to QGIS Application - Bug report # 20848: Issue exporting raster laye... Closed 2018-12-19

Associated revisions

Revision 60fa8eae - 2018-09-12 10:53 PM - Borys Jurgiel

[FEATURE] Append raster layer to an existing Geopackage in the 'Save Raster Layer As' dialog. Fixes #17926

History

#1 - 2018-09-14 12:08 PM - Borys Jurgiel

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|60fa8eae073891bc2e2f1cb86ae10b71434cb11c.

#2 - 2019-05-20 06:06 PM - Alessandro Pasotti

- Related to Bug report #20848: Issue exporting raster layer to Geopackage added
https://github.com/qgis/QGIS/pull/5430

